SnozeDevelopers
API referenceAdmin models

Update default model routes

Publishes default and Auto routes together after validating every referenced model. Platform admins only.

PATCH
/v1/admin/models/routes

Authorization

apiKey
headerAuthorizationBearer <snoze_sk_…>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

Request Body

application/json
  1. body
routes*
modelOrder?array<string>|null
revision*integer
reason*string

Response Body

Success

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://api.snoze.dev/v1/admin/models/routes' \  -H 'Content-Type: application/json' \  -d '{  "routes": {    "policies": {      "agent.fast": "string",      "agent.strong": "string",      "structured.fast": "string",      "structured.strong": "string"    },    "autoLadder": [      "string"    ]  },  "revision": 0,  "reason": "string"}'
Example Response
{  "data": {    "models": [      {        "id": "string",        "label": "string",        "icon": "string",        "group": "frontier",        "vision": true,        "documents": true,        "maxImageBytes": 0,        "video": true,        "audio": true,        "disabled": true,        "costX": 0,        "description": "string",        "speed": 0,        "intelligence": 0,        "effortLevels": [          "minimal"        ],        "tier": "A",        "minPlan": "free",        "metadata": {          "inputModalities": [            "string"          ],          "outputModalities": [            "string"          ],          "supportedParameters": [            "string"          ],          "reasoning": {            "mandatory": true,            "supportedEfforts": [              "string"            ],            "defaultEffort": "string",            "defaultEnabled": true          },          "contextLength": 0,          "maxOutputTokens": 0,          "pricing": {            "prompt": "string",            "completion": "string",            "inputCacheRead": "string",            "inputCacheWrite": "string",            "request": "string",            "tiers": [              {                "minPromptTokens": 0,                "prompt": "string",                "completion": "string",                "inputCacheRead": "string",                "inputCacheWrite": "string"              }            ]          },          "created": 0,          "expirationDate": "string",          "canonicalSlug": "string"        }      }    ],    "routes": {      "policies": {        "agent.fast": "string",        "agent.strong": "string",        "structured.fast": "string",        "structured.strong": "string"      },      "autoLadder": [        "string"      ],      "autoModelByPlan": {        "free": "string",        "team": "string",        "business": "string",        "enterprise": "string"      },      "onboarding": "string"    },    "revision": 0,    "updatedAt": "string"  }}